Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[SOLVED]Help for a beginner to install PCSX2 on Ubu64bit 13.04
#1
Hi i have a Ubuntu 64 bit 13.04 on a Intel Core2 Quad Q9550, Nvidia GT520Silent
here is a some error post in the shell.
Code:
Gtk-Message: Failed to load module "overlay-scrollbar"
(pcsx2:4425): Gtk-WARNING **: Impossibile trovare il motore del tema in module_path: «murrine»,
Gtk-Message: Failed to load module "canberra-gtk-module"
Interface is initializing.  Entering Pcsx2App::OnInit!
Applying operating system default language...
Loading language translation databases for 'Italian' [it_IT]
Command line parsing...
Command line parsed!
`menu_proxy_module_load': pcsx2: undefined symbol: menu_proxy_module_load
(pcsx2:4425): Gtk-WARNING **: Failed to load type module: (null)
`menu_proxy_module_load': pcsx2: undefined symbol: menu_proxy_module_load
(pcsx2:4425): Gtk-WARNING **: Failed to load type module: (null)
I upload a screenshoot for help you to help me Laugh thanks in advance.
[Image: xzhmn4zros676etfg.jpg]

I'm not able to run build.sh file of the bynary package i've tryed with insuccess... .-.
Anyone can send me an How to for install it? Laugh double thanks in advance.
Reply

Sponsored links

#2
This is how I install PCSX2 and it works perfectly for 13.10, maybe it would be a good idea to upgrade to 13.10.
Code:
sudo add-apt-repository ppa:gregory-hainaut/pcsx2.official.ppa
sudo apt-get update
sudo apt-get install pcsx2-unstable
Reply
#3
(02-06-2014, 09:53 PM)Musten Wrote: This is how I install PCSX2 and it works perfectly for 13.10, maybe it would be a good idea to upgrade to 13.10.
Code:
sudo add-apt-repository ppa:gregory-hainaut/pcsx2.official.ppa
sudo apt-get update
sudo apt-get install pcsx2-unstable
i retrieve this
Code:
(SYSTEM.CNF) Detected PS2 Disc = cdrom0:\SLUS_214.19;1
(SYSTEM.CNF) Software version = 1.00
(SYSTEM.CNF) Disc region type = NTSC
ELF (cdrom0:\SLUS_214.19;1) Game CRC = 0x44A5FA15, EntryPoint = 0x00100000
(SYSTEM.CNF) Detected PS2 Disc = cdrom0:\SLUS_214.19;1
(SYSTEM.CNF) Software version = 1.00
(SYSTEM.CNF) Disc region type = NTSC
(EE pc:80005558) TLB Miss, addr=0x0 [load]
(EE pc:80005558) TLB Miss, addr=0x0 [load]
(EE pc:80005584) TLB Miss, addr=0x0 [load]
(EE pc:00000004) TLB Miss, addr=0x70025f8b [store]
(EE pc:800002BC) TLB Miss, addr=0x7ff34e40 [load]
(EE pc:800002BC) TLB Miss, addr=0x60114f40 [load]
(EE pc:8000032C) TLB Miss, addr=0x7fc14f40 [load]
(EE pc:800002BC) TLB Miss, addr=0x7f014f40 [load]
(EE pc:800002BC) TLB Miss, addr=0x40014f40 [load]
and the screen/window is blank like the pcsx2 than I've before
If i try to run CDDVD (complete)
Code:
/build/buildd/pcsx2.snapshot-5826/common/src/Utilities/Linux/LnxHostSys.cpp(64) : assertion failed:
    Function:  void SysPageFaultSignalFilter(int, siginfo_t*, void*)
    Thread:    EE Core
    Condition: false
    Message:   Unhandled page fault @ 0x00000000

Stacktrace:
[00] 0x0xf76e7410                                
[01] 0x0x807cd96                                
[02] 0x0x807ba4f                                
[03] 0x0x807b943                                
[04] 0x0x810e954                                
[05] 0x0x80813f2                                
[06] 0x0x8081d01                                
[07] 0x0x8255b3f                                
[08] 0x0x81c0142                                
[09] 0x0x8255b9b
Reply
#4
Use the PPA, even for your Ubuntu version. Also use the proprietary Nvidia drivers.
OS: Linux Mint 17.2 64 bit (occasional Antergos/Arch user)
(I am no longer a Windows user)
CPU: Intel Pentium G3258
GPU: Nvidia GTX 650 Ti



Reply
#5
Also notice that, at this moment, the ppa doesn't have the latest "2014-02-02" version for 13.04.
Reply
#6
I can't upload new version to ubuntu 13.04. Ubuntu doesn't support it anymore and therefore reject my PPA package.
Reply
#7
(02-07-2014, 10:04 AM)gregory Wrote: I can't upload new version to ubuntu 13.04. Ubuntu doesn't support it anymore and therefore reject my PPA package.
thx a lot, I've update to 13.10, this morning. but nothing to difference when I try start play PCSX2, in windows it's all fine... but I study with linux and sometime I want play to FFXII... I know the problems are in the settings cause I think I have good HW in my pc. some advice to give?
Or i need to reinstall from PPA?

-----------------------------------------------------------------------------------------
ok sorry if I edit more time the same Post
i've reinstalled like you said, but same stuff, blank window at 59/60 fps... EE at 20/40%. I don't know How to solve... .-.
I'm courios, what kind of plugin you use for start the game?
now, cause the default plungin is "cddvdnull", I made an iso image of my FFXII, if I put the Original disk into the pc the program do not recognize the CD (obviously, because the plugin not have options to set up Tongue), so i use the iso choice; Maybe the problem is this?
Reply
#8
What gpu driver are you using? Also, if you are using the PPA, you have to use an iso made from your disc. The plugin that lets you use the disc (such as EFP) does not seem to install with the PPA.
OS: Linux Mint 17.2 64 bit (occasional Antergos/Arch user)
(I am no longer a Windows user)
CPU: Intel Pentium G3258
GPU: Nvidia GTX 650 Ti



Reply
#9
(02-07-2014, 05:05 PM)DaTankAC Wrote: What gpu driver are you using? Also, if you are using the PPA, you have to use an iso made from your disc. The plugin that lets you use the disc (such as EFP) does not seem to install with the PPA.
NVIDIA 319 update (owner) but I have also 319 (owner, tested), 304 (owner) and nouveau (open source)... I think what I have is the best...

what you mean with "you have to use an iso made from your disk"? i made the iso from my disk, obviously. since there is no plugin that reads from the DVD player.
Reply
#10
For the plugin try both zzogl and GSdx for GS. Use spu2x for spu2, and onepad for the pad. On pcsx2 configuration use preset 1.
Reply




Users browsing this thread: 1 Guest(s)